List Verifications
Get a paginated list of all your verification requests.
List Verifications
GET
/verificationsQuery Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
| limit | integer | 20 | Number of results (max 100) |
| offset | integer | 0 | Number of results to skip |
| status | string | - | Filter by status (pending, in_progress, completed, expired, failed) |
Example Request
curl -X GET "https://tenantverify.org/api/v1/verifications?limit=20&offset=0&status=completed" \
-H "Authorization: Bearer tv_live_your_api_key"Response (200 OK)
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"tenant_email": "tenant@example.com",
"tenant_name": "John Doe",
"property_address": "123 Main St",
"monthly_rent": 2000,
"status": "completed",
"created_at": "2024-01-23T10:00:00.000Z",
"completed_at": "2024-01-24T14:30:00.000Z"
}
],
"pagination": {
"limit": 20,
"offset": 0,
"total": 1
}
}